upgrade.txt 1.8 KB
Newer Older
Petr Skoda's avatar
Petr Skoda committed
1
2
3
This files describes API changes in /enrol/* - plugins,
information provided here is intended especially for developers.

Dan Poltawski's avatar
Dan Poltawski committed
4
5
6
7
=== 2.8 ===

* enrol_plugin::instance_deleteable() is deprecated and has been replaced by enrol_plugin::can_delete_instance()

8
9
10
11
12
=== 2.6 ===

* Enrolment plugin which supports self enrolment should implement can_self_enrol()
* Enrolment plugin should implement get_enrol_info() to expose instance information
  with webservice or external interface.
13
14
15
* Webservice core_enrol_get_enrolled_users_with_capability was incorrectly specifing
  float as the return type for user id. int is the actual returned type and is now
  reported as such.
16

17
18
19
20
=== 2.5 ===

* plugins may use general enrol/editenrolment.php page to let users edit
  enrolments manually
21
* new support for grade recovery in enrol_plugin::enrol_user() method
22

23
24
25
26
27
=== 2.4 ===

required changes in code:
* use role_get_name() or role_fix_names() if you need any role names, using role.name
  directly from database is not correct any more
28
29
* new restore support: ENROL_RESTORE_EXACT, ENROL_RESTORE_NOUSERS
  and ENROL_RESTORE_CLASS were removed, implement new restore_* plugin methods instead
30

31
other changes and new features:
32
* course enrolment manager now works with disabled plugins too
33
34
* new support for protected group membership linked to enrol instance
* new support for expiry notifications - see enrol_plugin::send_expiry_notifications() method
35

36

Petr Skoda's avatar
Petr Skoda committed
37
38
39
40
41
=== 2.2 ===

required changes in code:
* load_temp_role() is deprecated, use load_temp_course_role() instead, temp role not loaded
* remove_temp_role() is deprecated, use remove_temp_course_roles() instead
42
* 'user_unenrol_modified' event was renamed to 'user_enrol_modified'
43
44
45
46
47


=== 2.0 ===

required changes in code:
48
* enrolment plugins need to be rewritten to use new API - see inline phpdocs and official plugins